## busybox-power 1.20.1power2

=== debian/changelog ===
busybox-power (1.20.1power2) unstable; urgency=low

  * Synchronize patches with Debian Sid
  * Apply BusyBox 1.20.1 hotfixes
  * Restore screen after closing vi

 -- Dennis Groenen <tj.groenen@gmail.com>  Fri, 22 Jun 2012 21:28:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION_DEBIAN := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION := $(shell echo "$(VERSION_DEBIAN)" | sed -e 's,^[^:]*:,,' -e 's,-[^-]*$$,,')
 
BUILD_DIR = debian/build
STAMPS_DIR = debian/stamps

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CONFIG_DEBUG = y
endif
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
THUMB := -mthumb
endif

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
            else echo 1; fi)
    endif
    NJOBS := -j$(PARALLEL_JOBS)
endif

source: $(STAMPS_DIR)/source

$(STAMPS_DIR)/source: SOURCE_FILES = $(filter-out debian, $(wildcard * .[^.]*))
$(STAMPS_DIR)/source: DIR = $(BUILD_DIR)/source
$(STAMPS_DIR)/source:
	dh_testdir
	rm -rf '$(DIR)'
	mkdir -p $(STAMPS_DIR) '$(DIR)'
	cp -al $(SOURCE_FILES) '$(DIR)'
	cd $(DIR); QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

setup: $(STAMPS_DIR)/setup_busybox

$(STAMPS_DIR)/setup_%: SOURCE_DIR=$(BUILD_DIR)/source
$(STAMPS_DIR)/setup_%: DIR=$(BUILD_DIR)/build_$*
$(STAMPS_DIR)/setup_%: $(STAMPS_DIR)/source
	dh_testdir
	rm -rf '$(DIR)'
	cp -al '$(SOURCE_DIR)' '$(DIR)'
	cp debian/config/config.$* '$(DIR)'/.config
	make -C '$(DIR)' oldconfig
	touch $@

build: $(STAMPS_DIR)/build_busybox

$(STAMPS_DIR)/build_%: DIR=$(BUILD_DIR)/build_$*
$(STAMPS_DIR)/build_%: $(STAMPS_DIR)/setup_%
	dh_testdir
	make -C '$(DIR)' $(NJOBS) THUMB=$(THUMB) busybox docs/busybox.1 BB_EXTRA_VERSION="$(shell lsb_release -is) $(VERSION_DEBIAN)"
	make -C '$(DIR)' busybox.links
	touch $@

$(BUILD_DIR) $(STAMPS_DIR):
	@[ -d $@ ] || mkdir $@

maintainerclean:
	rm -rf $(filter-out .svn debian, $(wildcard * .[^.]*))

clean:
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
	dh_clean

binary-indep:

binary-arch: binary-arch_busybox binary-arch_all

binary-arch_busybox: DIR = $(BUILD_DIR)/build_busybox
binary-arch_busybox: DH_OPTIONS = -pbusybox-power
binary-arch_busybox: $(STAMPS_DIR)/build_busybox
	dh_testdir
	dh_testroot
	dh_clean -k -d
	install -D -m644 debian/scripts/applets debian/busybox-power/opt/busybox-power/applets
	install -D -m755 debian/scripts/install-binary.sh debian/busybox-power/opt/busybox-power/install-binary.sh
	install -D -m755 debian/scripts/uninstall-binary.sh debian/busybox-power/opt/busybox-power/uninstall-binary.sh
	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power

binary-arch_all:
	dh_installdirs
	dh_installdocs -pbusybox-power
	dh_installchangelogs -pbusybox-power
	dh_strip -pbusybox-power
	dh_compress -pbusybox-power

	dh_link
	dh_fixperms
	dh_installdeb

	dh_shlibdeps -pbusybox-power
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.gz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude debian --exclude .svk --exclude .svn --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xzf $(TAR_ORIG)
endif

## busybox-power 1.20.2power1

=== debian/changelog ===
busybox-power (1.20.2power1) unstable; urgency=low

  * New upstream release (BusyBox 1.20.2)
  * Apply BusyBox 1.20.2 hotfixes
  * Portrait mode support by Pali Rohár (CSSU patch)
  * Increase shell history size to 255
  * Enable username completion in shell
  * Disable the use of internal (shadow) password and group functions
  * Restructure internal (un)installation scripts
  * Use platform names instead of device names in internal scripts
  * Don't restore backup binary if /bin/busybox has been modified

 -- Dennis Groenen <tj.groenen@gmail.com>  Sat, 25 Aug 2012 11:57:55 +0200

## busybox-power 1.20.2power2

=== debian/changelog ===
busybox-power (1.20.2power2) unstable; urgency=low

  * Disable writing out shell history on exit
  * Remove workaround for bug #5317, not required anymore

 -- Dennis Groenen <tj.groenen@gmail.com>  Wed, 19 Sep 2012 23:39:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	install -D -m644 debian/scripts/applets debian/busybox-power/opt/busybox-power/applets
 	install -D -m755 debian/scripts/install-binary.sh debian/busybox-power/opt/busybox-power/install-binary.sh
 	install -D -m755 debian/scripts/uninstall-binary.sh debian/busybox-power/opt/busybox-power/uninstall-binary.sh
+	install -D -m644 debian/scripts/functions debian/busybox-power/opt/busybox-power/functions
 	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power
 
 binary-arch_all:

## busybox-power 1.20.2power3

=== debian/changelog ===
busybox-power (1.20.2power3) unstable; urgency=low

  * Exit shell cleanly upon receiving SIGHUP
  * Re-enable writing out shell history on exit

 -- Dennis Groenen <tj.groenen@gmail.com>  Sat, 13 Oct 2012 13:18:27 +0200

## busybox-power 1.20.2power4

=== debian/changelog ===
busybox-power (1.20.2power4) unstable; urgency=low

  * Divert /bin/busybox during installation
  * Use SHA1 hashes instead of MD5 for integrity control
  * Move (un)install-binary.sh to postinst and prerm scripts
  * Introduce Harmattan support in the installation framework
  * Improve error handling in (un)installation
  * Remove cleanup code for old conffile
  * Increase copy buffer size, great speed improvement in various applets
  * Update BusyBox 1.20.2 hotfixes

 -- Dennis Groenen <tj.groenen@gmail.com>  Wed, 24 Oct 2012 17:55:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -83,8 +83,6 @@
 	dh_testroot
 	dh_clean -k -d
 	install -D -m644 debian/scripts/applets debian/busybox-power/opt/busybox-power/applets
-	install -D -m755 debian/scripts/install-binary.sh debian/busybox-power/opt/busybox-power/install-binary.sh
-	install -D -m755 debian/scripts/uninstall-binary.sh debian/busybox-power/opt/busybox-power/uninstall-binary.sh
 	install -D -m644 debian/scripts/functions debian/busybox-power/opt/busybox-power/functions
 	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power

## busybox-power 1.20.2power5

=== debian/changelog ===
busybox-power (1.20.2power5) unstable; urgency=low

  * Introduce Diablo support (by Teemu Ikonen)
  * Don't show the first time inst. warning when /tmp/.bbp-unattended exists
  * Don't use local diversions
  * Modify warning messages to include more useful information
  * Check for $DISPLAY and $SSH_TTY in preinst

 -- Dennis Groenen <tj.groenen@gmail.com>  Wed, 28 Nov 2012 22:30:14 +0100

=== debian/control ===
Source: busybox-power
Priority: extra
Section: user/utilities
Maintainer: Dennis Groenen <tj.groenen@gmail.com>
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2216
XSBC-Original-Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Build-Depends: debhelper (>> 5), lsb-release, python, quilt, maemo-version
Standards-Version: 3.7.3

Package: busybox-power
Architecture: any
Depends: ${shlibs:Depends}
XB-Maemo-Display-Name: Enhanced BusyBox shell
Description: Tiny utilities for small and embedded systems - enhanced package
 BusyBox combines tiny versions of many common UNIX utilities into a
 single small executable. It provides the default shell used in Maemo. This
 package replaces the default BusyBox executable with the latest upstream
 version. It also includes Maemo-specific bug fixes, a lot more utilities
 and additional features (like Ctrl-R reverse history search, proper shell
 history handling and swapon with priority support). 
 .
 Also see http://talk.maemo.org/showthread.php?t=72801.
 .
 This package won't overwrite any existing symlinks and binaries providing
 the same functionality (like GNU tar if installed/symlinked).
 .
 Additional utilities provided over the default BusyBox package:
 bunzip2 bzcat bzip2 cpio cttyhack dnsdomainname dumpkmap ed fbset
 fdflush hush ip ipaddr iplink iproute iprule mountpoint mt nc
 pipe_progress popmaildir pscan usleep blockdev bootchartd crond
 fdisk ifenslave ip iptunnel klogd loadkmap logread makedevs mdev
 nbd-client raidautorun setconsole sulogin sysctl syslogd vconfig
 adjtimex arping base64 beep brctl cal catv chpst chrt crontab
 cryptpw dc devmem diff dos2unix dumpleases eject envdir envuidgid
 ether-wake fdformat fgconsole flock freeramdisk ftpget ftpput
 hexdump ionice iostat ipcalc last length less linux32 linux64
 loadfont lpd lpq lpr lzcat lzma lzop lzopcat makemime man microcom
 mkpasswd mpstat nmeter patch pmap readahead reformime resize rev rpm
 rpm2cpio rtcwake runsv runsvdir rx script scriptreplay setarch setfont
 setuidgid showkey smemcap softlimit strings sv svlogd tcpsvd telnet
 tftp timeout traceroute traceroute6 ttysize udhcpc udpsvd unix2dos
 unlzma unlzop unxz unzip uudecode uuencode vlock volname wall xz xzcat
 ar acpid add-shell addgroup adduser arp chat delgroup deluser
 dhcprelay dnsd fakeidentd ftpd hdparm httpd ifplugd inetd lspci ntpd
 rdate rdev readprofile remove-shell sendmail sha256sum sha512sum
 telnetd tftpd tunctl udhcpd watchdog zcip whois pstree pwdx groups
 users setserial nameif ubirsvol
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,8 @@
 	rm -rf '$(DIR)'
 	cp -al '$(SOURCE_DIR)' '$(DIR)'
 	cp debian/config/config.$* '$(DIR)'/.config
+	grep -qv Diablo /etc/maemo_version \
+		|| cp debian/config/config.$*.diablo '$(DIR)'/.config
 	make -C '$(DIR)' oldconfig
 	touch $@

## busybox-power 1.21.0power2

=== debian/changelog ===
busybox-power (1.21.0power2) unstable; urgency=low

  * Apply BusyBox 1.21.0 hotfixes
  * Divert busybox binary to /opt/busybox-power

 -- Dennis Groenen <tj.groenen@gmail.com>  Sat, 16 Mar 2013 11:41:43 +0100

busybox-power (1.21.0power1) unstable; urgency=low

  * New upstream release (BusyBox 1.21.0)
  * Correct the symlink locations of several applets
  * Generate busybox-power-althist package

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 22 Jan 2013 12:45:45 +0100

## busybox-power 1.21.1power1

=== Makefile ===
VERSION = 1
PATCHLEVEL = 21
SUBLEVEL = 1
EXTRAVERSION =
NAME = Unnamed

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not print "Entering directory ..."
MAKEFLAGS += --no-print-directory

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into busybox), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call sparse as part of compilation of C files
# Use 'make C=1' to enable sparse checking

ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif
ifdef M
  ifeq ("$(origin M)", "command line")
    KBUILD_EXTMOD := $(M)
  endif
endif


# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifdef O
  ifeq ("$(origin O)", "command line")
    KBUILD_OUTPUT := $(O)
  endif
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS)

$(filter-out _all,$(MAKECMDGOALS)) _all:
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile $@

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
TOPDIR		:= $(srctree)
# FIXME - TOPDIR is obsolete, use srctree/objtree
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH TOPDIR


# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile

CROSS_COMPILE ?=
# bbox: we may have CONFIG_CROSS_COMPILER_PREFIX in .config,
# and it has not been included yet... thus using an awkward syntax.
ifeq ($(CROSS_COMPILE),)
CROSS_COMPILE := $(shell grep ^CONFIG_CROSS_COMPILER_PREFIX .config 2>/dev/null)
CROSS_COMPILE := $(subst CONFIG_CROSS_COMPILER_PREFIX=,,$(CROSS_COMPILE))
CROSS_COMPILE := $(subst ",,$(CROSS_COMPILE))
#")
endif

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

ifneq ($(CROSS_COMPILE),)
SUBARCH := $(shell echo $(CROSS_COMPILE) | cut -d- -f1)
else
SUBARCH := $(shell uname -m)
endif
SUBARCH := $(shell echo $(SUBARCH) | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
					 -e s/arm.*/arm/ -e s/sa110/arm/ \
					 -e s/s390x/s390/ -e s/parisc64/parisc/ \
					 -e s/ppc.*/powerpc/ -e s/mips.*/mips/ )

ARCH ?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE := $(ARCH)

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

# 	Decide whether to build built-in, modular, or both.
#	Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are uptodate before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing wil be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

HOSTCC  	= gcc
HOSTCXX  	= g++
HOSTCFLAGS	:=
HOSTCXXFLAGS	:=
# We need some generic definitions
include $(srctree)/scripts/Kbuild.include

HOSTCFLAGS	+= $(call hostcc-option,-Wall -Wstrict-prototypes -O2 -fomit-frame-pointer,)
HOSTCXXFLAGS	+= -O2

# For maximum performance (+ possibly random breakage, uncomment
# the following)

MAKEFLAGS += -rR

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
CC		= $(CROSS_COMPILE)gcc
LD		= $(CC) -nostdlib
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
PKG_CONFIG	?= $(CROSS_COMPILE)pkg-config
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise $(CF)
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  = -r
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
CFLAGS		:= $(CFLAGS)
# Added only to final link stage of busybox binary
CFLAGS_busybox	:= $(CFLAGS_busybox)
CPPFLAGS	:= $(CPPFLAGS)
AFLAGS		:= $(AFLAGS)
LDFLAGS		:= $(LDFLAGS)
LDLIBS		:=

# Read KERNELRELEASE from .kernelrelease (if it exists)
KERNELRELEASE = $(shell cat .kernelrelease 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export	VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION \
	ARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE \
	HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS
export CFLAGS CFLAGS_KERNEL CFLAGS_MODULE
export AFLAGS AFLAGS_KERNEL AFLAGS_MODULE
export FLTFLAGS

# When compiling out-of-tree modules, put MODVERDIR in the module
# tree rather than in the kernel tree. The kernel tree might
# even be read-only.
export MODVERDIR := $(if $(KBUILD_EXTMOD),$(firstword $(KBUILD_EXTMOD))/).tmp_versions

# Files to ignore in find ... statements

RCS_FIND_IGNORE := \( -name SCCS -o -name BitKeeper -o -name .svn -o -name CVS -o -name .pc -o -name .hg -o -name .git \) -prune -o
export RCS_TAR_IGNORE := --exclude SCCS --exclude BitKeeper --exclude .svn --exclude CVS --exclude .pc --exclude .hg --exclude .git

# ===========================================================================
# Rules shared between *config targets and build targets

# Basic helpers built in scripts/
PHONY += scripts_basic
scripts_basic:
	$(Q)$(MAKE) $(build)=scripts/basic

# To avoid any implicit rule to kick in, define an empty command.
scripts/basic/%: scripts_basic ;

# This target generates Kbuild's and Config.in's from *.c files
PHONY += gen_build_files
gen_build_files: $(wildcard $(srctree)/*/*.c) $(wildcard $(srctree)/*/*/*.c)
	$(Q)$(srctree)/scripts/gen_build_files.sh $(srctree) $(objtree)

# bbox: we have helpers in applets/
# we depend on scripts_basic, since scripts/basic/fixdep
# must be built before any other host prog
PHONY += applets_dir
applets_dir: scripts_basic gen_build_files
	$(Q)$(MAKE) $(build)=applets

applets/%: applets_dir ;

PHONY += outputmakefile
# outputmakefile generates a Makefile in the output directory, if using a
# separate output directory. This allows convenient use of make in the
# output directory.
outputmakefile:

=== debian/changelog ===
busybox-power (1.21.1power1) unstable; urgency=low

  * New upstream release (BusyBox 1.21.1)
  * swapon: support "pri=NNN" in fstab

 -- Dennis Groenen <tj.groenen@gmail.com>  Sun, 18 Aug 2013 11:26:49 +0200

## busybox-power 1.22.1power1

=== debian/changelog ===
busybox-power (1.22.1power1) unstable; urgency=low

  * New upstream release (BusyBox 1.22.1)

 -- Dennis Groenen <tj.groenen@gmail.com>  Thu, 23 Jan 2014 19:29:21 +0100

## busybox-power 1.23.0power1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 1
-PATCHLEVEL = 21
-SUBLEVEL = 1
+PATCHLEVEL = 23
+SUBLEVEL = 0
 EXTRAVERSION =
 NAME = Unnamed

=== debian/changelog ===
busybox-power (1.23.0power1) unstable; urgency=low

  * New upstream release (BusyBox 1.23.0)

 -- Dennis Groenen <tj.groenen@gmail.com>  Sun, 28 Dec 2014 16:34:22 +0100

## busybox-power 1.23.1power1

=== debian/changelog ===
busybox-power (1.23.1power1) unstable; urgency=low

  * New upstream release (BusyBox 1.23.1)

 -- Dennis Groenen <tj.groenen@gmail.com>  Sun, 08 Mar 2015 16:53:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dennis Groenen <tj.groenen@gmail.com>
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2216
 XSBC-Original-Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
-Build-Depends: debhelper (>> 5), lsb-release, python, quilt, maemo-version
+Build-Depends: debhelper (>> 5), lsb-release, python, quilt
 Standards-Version: 3.7.3
 
 Package: busybox-power
@@ -103,3 +103,103 @@
  X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
  4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
  5l7y6xMAAAAASUVORK5CYII=
+
+Package: busybox-power-althist
+Architecture: any
+Depends: ${shlibs:Depends}
+Provides: busybox-power
+Conflicts: busybox-power
+Replaces: busybox-power
+XB-Maemo-Display-Name: Enhanced BusyBox shell (alternative shell history)
+Description: Tiny utilities for small and embedded systems - enhanced package
+ BusyBox combines tiny versions of many common UNIX utilities into a
+ single small executable. It provides the default shell used in Maemo. This
+ package replaces the default BusyBox executable with the latest upstream
+ version. It also includes Maemo-specific bug fixes, a lot more utilities
+ and additional features (like Ctrl-R reverse history search, proper shell
+ history handling and swapon with priority support). 
+ .
+ Also see http://talk.maemo.org/showthread.php?t=72801.
+ .
+ This package won't overwrite any existing symlinks and binaries providing
+ the same functionality (like GNU tar if installed/symlinked).
+ .
+ Additional utilities provided over the default BusyBox package:
+ bunzip2 bzcat bzip2 cpio cttyhack dnsdomainname dumpkmap ed fbset
+ fdflush hush ip ipaddr iplink iproute iprule mountpoint mt nc
+ pipe_progress popmaildir pscan usleep blockdev bootchartd crond
+ fdisk ifenslave ip iptunnel klogd loadkmap logread makedevs mdev
+ nbd-client raidautorun setconsole sulogin sysctl syslogd vconfig
+ adjtimex arping base64 beep brctl cal catv chpst chrt crontab
+ cryptpw dc devmem diff dos2unix dumpleases eject envdir envuidgid
+ ether-wake fdformat fgconsole flock freeramdisk ftpget ftpput
+ hexdump ionice iostat ipcalc last length less linux32 linux64
+ loadfont lpd lpq lpr lzcat lzma lzop lzopcat makemime man microcom
+ mkpasswd mpstat nmeter patch pmap readahead reformime resize rev rpm
+ rpm2cpio rtcwake runsv runsvdir rx script scriptreplay setarch setfont
+ setuidgid showkey smemcap softlimit strings sv svlogd tcpsvd telnet
+ tftp timeout traceroute traceroute6 ttysize udhcpc udpsvd unix2dos
+ unlzma unlzop unxz unzip uudecode uuencode vlock volname wall xz xzcat
+ ar acpid add-shell addgroup adduser arp chat delgroup deluser
+ dhcprelay dnsd fakeidentd ftpd hdparm httpd ifplugd inetd lspci ntpd
+ rdate rdev readprofile remove-shell sendmail sha256sum sha512sum
+ telnetd tftpd tunctl udhcpd watchdog zcip whois pstree pwdx groups
+ users setserial nameif ubirsvol
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
+ 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
+ MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
+ 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
+ ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
+ 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
+ SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
+ SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
+ doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
+ jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
+ OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
+ xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
+ lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
+ 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
+ occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
+ EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
+ inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
+ 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
+ uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
+ DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
+ QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
+ ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
+ 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
+ Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
+ 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
+ mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
+ kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
+ gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
+ 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
+ 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
+ WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
+ rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
+ orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
+ VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
+ +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
+ rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
+ GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
+ kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
+ HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
+ Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
+ jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
+ rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
+ hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
+ kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
+ LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
+ /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
+ +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
+ DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
+ 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
+ deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
+ mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
+ 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
+ RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
+ X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
+ 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
+ 5l7y6xMAAAAASUVORK5CYII=

## busybox-power 1.23.1power2

=== debian/changelog ===
busybox-power (1.23.1power2) unstable; urgency=low

  * Re-upload to the autobuilder, no code changes

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 17 Mar 2015 18:36:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	CONFIG_DEBUG = y
 endif
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-THUMB := -mthumb
+	THUMB := -mthumb
 endif
 
 ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
@@ -40,7 +40,7 @@
 	cd $(DIR); QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
 	touch $@
 
-setup: $(STAMPS_DIR)/setup_busybox
+setup: $(STAMPS_DIR)/setup_busybox $(STAMPS_DIR)/setup_busybox-althist
 
 $(STAMPS_DIR)/setup_%: SOURCE_DIR=$(BUILD_DIR)/source
 $(STAMPS_DIR)/setup_%: DIR=$(BUILD_DIR)/build_$*
@@ -48,13 +48,13 @@
 	dh_testdir
 	rm -rf '$(DIR)'
 	cp -al '$(SOURCE_DIR)' '$(DIR)'
-	cp debian/config/config.$* '$(DIR)'/.config
-	grep -qv Diablo /etc/maemo_version \
-		|| cp debian/config/config.$*.diablo '$(DIR)'/.config
+	cp debian/config/config.busybox '$(DIR)'/.config
+	if test "$*" == "busybox-althist"; then \
+		sed -i "s/CONFIG_FEATURE_EDITING_SAVE_ON_EXIT=y/# CONFIG_FEATURE_EDITING_SAVE_ON_EXIT is not set/" '$(DIR)'/.config; fi
 	make -C '$(DIR)' oldconfig
 	touch $@
 
-build: $(STAMPS_DIR)/build_busybox
+build: $(STAMPS_DIR)/build_busybox $(STAMPS_DIR)/build_busybox-althist
 
 $(STAMPS_DIR)/build_%: DIR=$(BUILD_DIR)/build_$*
 $(STAMPS_DIR)/build_%: $(STAMPS_DIR)/setup_%
@@ -73,33 +73,45 @@
 	dh_testdir
 	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
 	dh_clean
+	rm -rf debian/busybox-power-althistory*
 
 binary-indep:
 
-binary-arch: binary-arch_busybox binary-arch_all
+binary-arch: binary-arch_busybox binary-arch_busybox-althist binary-arch_all
 
 binary-arch_busybox: DIR = $(BUILD_DIR)/build_busybox
 binary-arch_busybox: DH_OPTIONS = -pbusybox-power
 binary-arch_busybox: $(STAMPS_DIR)/build_busybox
 	dh_testdir
 	dh_testroot
-	dh_clean -k -d
 	install -D -m644 debian/scripts/applets debian/busybox-power/opt/busybox-power/applets
 	install -D -m644 debian/scripts/functions debian/busybox-power/opt/busybox-power/functions
 	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power
 
+binary-arch_busybox-althist: DIR = $(BUILD_DIR)/build_busybox-althist
+binary-arch_busybox-althist: DH_OPTIONS = -pbusybox-power-althist
+binary-arch_busybox-althist: $(STAMPS_DIR)/build_busybox-althist
+	dh_testdir
+	dh_testroot
+	# busybox-power-althist == busybox-power, only BusyBox' .config differs
+	# Duplicate the maintainer scripts etc. into busybox-power-althist
+	for f in debian/busybox-power.*; do cp -p "$$f" "$${f/busybox-power/busybox-power-althist}"; done
+	install -D -m644 debian/scripts/applets debian/busybox-power-althist/opt/busybox-power/applets
+	install -D -m644 debian/scripts/functions debian/busybox-power-althist/opt/busybox-power/functions
+	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power-althist/opt/busybox-power/busybox.power
+
 binary-arch_all:
 	dh_installdirs
-	dh_installdocs -pbusybox-power
-	dh_installchangelogs -pbusybox-power
-	dh_strip -pbusybox-power
-	dh_compress -pbusybox-power
+	dh_installdocs
+	dh_installchangelogs
+	dh_strip
+	dh_compress
 
 	dh_link
 	dh_fixperms
 	dh_installdeb
 
-	dh_shlibdeps -pbusybox-power
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
